using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Remontor.Seacher
{
    internal class SCCMResult : ISeacherResult
    {
        private IComp Comp;
        private string LastConnect;
        private string StrQuestion;
        public SCCMResult()
        {

        }
        public SCCMResult(IComp comp, string lastConnect)
        {
            Comp = comp;
            LastConnect = lastConnect;
        }

        public SCCMResult(IComp comp, string lastConnect, string strQuestion)
        {
            Comp = comp;
            LastConnect = lastConnect;
            StrQuestion = strQuestion;
        }

        public IComp GetComp()
        {
            return Comp;
        }

        public string GetLastConnect()
        {
            return LastConnect;
        }
        public string toString()
        {
            return Comp.GetNetNameStr();
        }
        /// <summary>
        /// //////////////////
        /// </summary>
        /// <returns></returns>
        public IComp Result()
        {
            return Comp;
        }

        public string ResultString()
        {
            return StrQuestion;
        }
    }
}
